@abstract
class_name AbstractFood
extends Area2D

@export var val: int = 1
@export var food_name: String = "Food"

signal consumed

func _ready() -> void:
	pass

func _on_body_entered(body: Node2D) -> void:
	pass

func eat(consumer: Node2D) -> void:
	pass
